## org.jvnet.hudson.crypto
Class SignatureOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.jvnet.hudson.crypto.SignatureOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class SignatureOutputStream

extends java.io.FilterOutputStream

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`SignatureOutputStream(java.io.OutputStream out, java.security.Signature sig)`
`SignatureOutputStream(java.security.Signature sig)`

Method Summary
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureOutputStream

    public SignatureOutputStream(java.io.OutputStream out,
                                 java.security.Signature sig)

### SignatureOutputStream

    public SignatureOutputStream(java.security.Signature sig)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

Copyright © 2012. All Rights Reserved.